# cpdAlerts
Vigilancia del boletines oficiales de diferentes comunidades

## Instrucciones

* Instala las dependencias
<pre>
# apt install poppler-utils wget bsd-mailx sendmail
</pre>

* Añade en Cron (con crontab -e por ejemplo) cuando quieres que se ejecute y que comunidades. Ejemplo a las 18:00 Madrid, a las 19:00 Castilla-La Mancha, a las 20:00 Barcelona, ...
<pre>
0 18 * * * cd /home/fanta/cpdAlerts/; /usr/bin/bash /home/fanta/cpdAlerts/cpdAlerts.sh --madrid
0 19 * * * cd /home/fanta/cpdAlerts/; /usr/bin/bash /home/fanta/cpdAlerts/cpdAlerts.sh --clamancha
0 20 * * * cd /home/fanta/cpdAlerts/; /usr/bin/bash /home/fanta/cpdAlerts/cpdAlerts.sh --barcelona
</pre>

* Si deseas notificar a diferentes emails añade estos modificando la siguiente línea:
<pre>
notificationEmails="email@example.es email2@anotherexample.es"
</pre>

Puedes probar con el parametro --test a mandar un email de ejemplo de como llegarán cuando encuentre algo de las keywords.

## Nombres de los Boletines Autonómicos

* Boletín Oficial de la Junta de Andalucía (BOJA)
* Boletín Oficial de Aragón (BOA)
* Boletín Oficial del Principado de Asturias (BOPA)
* Boletín Oficial de Islas Baleares (BOCAIB)
* Boletín Oficial de Canarias (BOC)
* Boletín Oficial de Cantabria (BOC)
* Boletín Oficial de la Junta de Castilla y León (B.O.C. y L.)
* Diari Oficial de la Generalitat de Catalunya (DOGC)
* Diario Oficial de Extremadura (D.O.E.)
* Diario Oficial de Galicia (DOG)
* Boletín Oficial de La Rioja (B.O.R.)
* Boletín Oficial de la Comunidad de Madrid (BOCM)
* Boletín Oficial de la Región de Murcia (BORM)
* Boletín Oficial de Navarra (B.O.N.)
* Boletín Oficial del País Vasco (BOPV)
* Diari Oficial de la Generalitat Valenciana (DOGV)
* Boletín Oficial de la Ciudad Autónoma de Ceuta (B.O.C.CE.)
* Boletín Oficial de la Ciudad Autónoma de Melilla (BOCME)
* Boletín Oficial de Castilla-La Mancha (DOCM)
